- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# Data Class Reference

Search for all occurrences

## Detailed Description

This structure represents the data which is calculated by the components, and passed to the utilizers.

This is usually a single color, but can be any of the types enumerated below...

Definition at line 158 of file MapExtractorInterface.h.

`#include <MapExtractorInterface.h>`

List of all members.

## Public Member Functions
| Data (int r)
| Data (float r)
| Data (double r)
| Data (const mudbox::Color &r)
| Data (const mudbox::Vector &r)
| Data (const mudbox::DblVector &r)
| Data (const mudbox::Vector4 &r)
| Data (const mudbox::Quaternion &r)
| Data (const mudbox::Matrix &r)
int | As_int () const
float | As_float () const
double | As_double () const
mudbox::Color | As_Color () const
mudbox::Vector | As_Vector () const
mudbox::DblVector | As_DblVector () const
mudbox::Vector4 | As_Vector4 () const
mudbox::Quaternion | As_Quaternion () const
mudbox::Matrix | As_Matrix () const

## Constructor & Destructor Documentation

Data | ( | int | r | ) | `[inline]`

Definition at line 169 of file MapExtractorInterface.h.

    { m_int[0]    = r; }

Data | ( | float | r | ) | `[inline]`

Definition at line 170 of file MapExtractorInterface.h.

    { m_float[0]  = r; }

Data | ( | double | r | ) | `[inline]`

Definition at line 171 of file MapExtractorInterface.h.

    { m_double[0] = r; }

Data | ( | const mudbox::Color & | r | ) | `[inline]`

Definition at line 172 of file MapExtractorInterface.h.

                                            { m_float[0]  = r.m_fRed;  m_float[1] = r.m_fGreen;
                                                m_float[2]  = r.m_fBlue; m_float[3] = r.m_fAlpha; }

Data | ( | const mudbox::Vector & | r | ) | `[inline]`

Definition at line 174 of file MapExtractorInterface.h.

    { m_float[0]  = r.x; m_float[1]  = r.y; m_float[2]  = r.z; m_float[3]  = 0; }

Data | ( | const mudbox::DblVector & | r | ) | `[inline]`

Definition at line 175 of file MapExtractorInterface.h.

    { m_double[0] = r.x; m_double[1] = r.y; m_double[2] = r.z; m_double[3] = 0; }

Data | ( | const mudbox::Vector4 & | r | ) | `[inline]`

Definition at line 176 of file MapExtractorInterface.h.

                                            { m_float[0]  = r.x; m_float[1]  = r.y;
                                                m_float[2]  = r.z; m_float[3]  = r.w; }

Data | ( | const mudbox::Quaternion & | r | ) | `[inline]`

Definition at line 178 of file MapExtractorInterface.h.

    { memcpy(m_float, &r.m_fW, sizeof(float) * 4);    }

Data | ( | const mudbox::Matrix & | r | ) | `[inline]`

Definition at line 179 of file MapExtractorInterface.h.

    { memcpy(m_float, r.m_fData, sizeof(float) * 16); }

## Member Function Documentation

int As_int | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 181 of file MapExtractorInterface.h.

    { return m_int[0];            }

float As_float | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 182 of file MapExtractorInterface.h.

    { return m_float[0];          }

double As_double | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 183 of file MapExtractorInterface.h.

    { return m_double[0];         }

mudbox::Color As_Color | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 184 of file MapExtractorInterface.h.

    { return mudbox::Color(m_float[0], m_float[1], m_float[2], m_float[3]);     }

mudbox::Vector As_Vector | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 185 of file MapExtractorInterface.h.

    { return mudbox::Vector(m_float[0], m_float[1], m_float[2]);                }

mudbox::DblVector As_DblVector | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 186 of file MapExtractorInterface.h.

    { return mudbox::DblVector(m_double[0], m_double[1], m_double[2]);          }

mudbox::Vector4 As_Vector4 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 187 of file MapExtractorInterface.h.

    { return mudbox::Vector4(m_float[0], m_float[1], m_float[2], m_float[3]);   }

mudbox::Quaternion As_Quaternion | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 188 of file MapExtractorInterface.h.

    { mudbox::Quaternion q; memcpy(&q.m_fW, m_float, sizeof(float) * 4); return q; }

mudbox::Matrix As_Matrix | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 189 of file MapExtractorInterface.h.

    { mudbox::Matrix m; memcpy(m.m_fData,  m_float, sizeof(float) * 16); return m; }

## Member Data Documentation

int m_int[16]

Search for all occurrences

Definition at line 162 of file MapExtractorInterface.h.

float m_float[16]

Search for all occurrences

Definition at line 163 of file MapExtractorInterface.h.

double m_double[8]

Search for all occurrences

Definition at line 164 of file MapExtractorInterface.h.

The documentation for this class was generated from the following file:

- MapExtractor/MapExtractorInterface.h

Data Data Data Data Data Data Data Data Data Data
Data Data Data Data Data Data Data Data Data Data